digiKam Developer Documentation: Digikam::ICCSettingsContainer Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::ICCSettingsContainer Class Reference

## Public Types
typedef QFlags< BehaviorEnum > | Behavior
enum | BehaviorEnum { InvalidBehavior = 0 , UseEmbeddedProfile = 1 << 0 , UseSRGB = 1 << 1 , UseWorkspace = 1 << 2 , UseDefaultInputProfile = 1 << 3 , UseSpecifiedProfile = 1 << 4 , AutomaticColors = 1 << 5 , DoNotInterpret = 1 << 6 , KeepProfile = 1 << 10 , ConvertToWorkspace = 1 << 11 , LeaveFileUntagged = 1 << 18 , AskUser = 1 << 20 , SafestBestAction = 1 << 21 , PreserveEmbeddedProfile = UseEmbeddedProfile | KeepProfile , EmbeddedToWorkspace = UseEmbeddedProfile | ConvertToWorkspace , SRGBToWorkspace = UseSRGB | ConvertToWorkspace , AutoToWorkspace = AutomaticColors | ConvertToWorkspace , InputToWorkspace = UseDefaultInputProfile | ConvertToWorkspace , SpecifiedToWorkspace = UseSpecifiedProfile | ConvertToWorkspace , NoColorManagement = DoNotInterpret | LeaveFileUntagged }

## Public Member Functions
void | readFromConfig (KConfigGroup &group)
void | writeManagedPreviewsToConfig (KConfigGroup &group) const
void | writeManagedViewToConfig (KConfigGroup &group) const
void | writeToConfig (KConfigGroup &group) const

## Public Attributes
QString | defaultInputProfile
Behavior | defaultMismatchBehavior = EmbeddedToWorkspace
Behavior | defaultMissingProfileBehavior = SRGBToWorkspace
QString | defaultProofProfile
Behavior | defaultUncalibratedBehavior = AutoToWorkspace
bool | doGamutCheck = false
bool | enableCM = true
QColor | gamutCheckMaskColor = QColor(126, 255, 255)
QString | iccFolder
Behavior | lastMismatchBehavior = EmbeddedToWorkspace
Behavior | lastMissingProfileBehavior = SRGBToWorkspace
QString | lastSpecifiedAssignProfile
QString | lastSpecifiedInputProfile
Behavior | lastUncalibratedBehavior = AutoToWorkspace
QString | monitorProfile
int | proofingRenderingIntent = IccTransform::AbsoluteColorimetric
| Settings specific for soft proofing.
int | renderingIntent = IccTransform::Perceptual
bool | useBPC = true
bool | useManagedPreviews = true
bool | useManagedView = true
QString | workspaceProfile

## Member Enumeration Documentation

## ◆ BehaviorEnum

enum Digikam::ICCSettingsContainer::BehaviorEnum

Enumerator
InvalidBehavior | Note: Values are stored in config - keep them constant.
UseEmbeddedProfile | Interpretation of the image data.
KeepProfile | Transformation / target profile.
LeaveFileUntagged | Special flags and values.
PreserveEmbeddedProfile | ready combinations for convenience